Subject: Installer network link is down on some boots

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 20 May 2019 11:21:52 +0200

On some but not all boots of the installer, I get no internet
connection.

This may be a quirk of my hardware.  Can others reproduce?  Maybe this
is not a Guix bug.

I have not encountered this on an installed system yet, but perhaps I
just have not rebooted often enough.  Even though wpa_supplicant is
running, `ip link` reports the Ethernet link enp4s0 is down.  This
machine is a PC with RTL8111/8168/8411 PCI Express Gigabit Ethernet
Controller (rev 06), according to lspci.  On successful boots the link
is up.

Regards,
Florian